Arbor 3: FSM & BT Graph Editor 3.1.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
ArborFSM Class Reference

ステートマシンのコア部分。
GameObjectにアタッチして使用する。 More...

Inheritance diagram for ArborFSM:

## Static Public Member Functions
static ArborFSM | FindFSM (string name)
| シーン内にあるArborFSMを名前で取得する。 More...
static ArborFSM[] | FindFSMs (string name)
| シーン内にある同一名のArborFSMを取得する。 More...
static ArborFSM | FindFSM (GameObject gameObject, string name)
| GameObjectにアタッチされているArborFSMを名前で取得する。 More...
static ArborFSM[] | FindFSMs (GameObject gameObject, string name)
| GameObjectにアタッチされている同一名のArborFSMを取得する。 More...
Static Public Member Functions inherited from NodeGraph
static NodeGraph | FindGraph (string name)
| シーン内にあるNodeGraphを名前で取得する。 More...
static NodeGraph | FindGraph (string name, System.Type type)
| シーン内にあるNodeGraphを名前で取得する。 More...
static T | FindGraph< T > (string name)
| シーン内にあるNodeGraphを名前で取得する。 More...
static NodeGraph[] | FindGraphs (string name)
| シーン内にある同一名のNodeGraphを取得する。 More...
static NodeGraph[] | FindGraphs (string name, System.Type type)
| シーン内にある同一名のNodeGraphを取得する。 More...
static T[] | FindGraphs< T > (string name)
| シーン内にある同一名のNodeGraphを取得する。 More...
static NodeGraph | FindGraph (GameObject gameObject, string name)
| GameObjectにアタッチされているNodeGraphを名前で取得する。 More...
static NodeGraph | FindGraph (GameObject gameObject, string name, System.Type type)
| GameObjectにアタッチされているNodeGraphを名前で取得する。 More...
static T | FindGraph< T > (GameObject gameObject, string name)
| GameObjectにアタッチされているNodeGraphを名前で取得する。 More...
static NodeGraph[] | FindGraphs (GameObject gameObject, string name)
| GameObjectにアタッチされている同一名のNodeGraphを取得する。 More...
static NodeGraph[] | FindGraphs (GameObject gameObject, string name, System.Type type)
| GameObjectにアタッチされている同一名のNodeGraphを取得する。 More...
static T[] | FindGraphs< T > (GameObject gameObject, string name)
| GameObjectにアタッチされている同一名のNodeGraphを取得する。 More...
static NodeGraph | Create (GameObject gameObject, System.Type classType)
| NodeGraphの作成 More...
static GraphType | Create< GraphType > (GameObject gameObject)
| NodeGraphの作成 More...
static NodeGraph | Instantiate (NodeGraph sourceGraph, NodeBehaviour ownerBehaviour)
| NodeGraphを生成 More...
static GraphType | Instantiate< GraphType > (GraphType sourceGraph, NodeBehaviour ownerBehaviour)
| NodeGraphを生成 More...
static void | Destroy (NodeGraph nodeGraph)
| NodeGraphの破棄 More...

## Additional Inherited Members
Public Member Functions inherited from ArborFSMInternal
int | IndexOfStateLinkHistory (StateLink stateLink)
| 指定したStateLinkによって遷移したヒストリーでのインデックスを取得。 More...
State | GetStateFromIndex (int index)
| Stateをインデックスから取得 More...
int | GetStateIndex (State state)
| Stateのインデックスを取得 More...
State | GetStateFromID (int stateID)
| ステートIDを指定してArbor.Stateを取得する。 More...
State | GetState (StateLink stateLink)
| StateLinkを指定してArbor.Stateを取得する。 More...
State | CreateState (int nodeID, bool resident)
| ステートを生成。 More...
State | CreateState (bool resident)
| ステートを生成。 More...
State | CreateState ()
| ステートを生成。 More...
State | FindState (string stateName)
| ステートを名前で検索。 More...
State[] | FindStates (string stateName)
| ステートを名前で検索。 More...
State | FindStateContainsBehaviour (StateBehaviour behaviour)
| StateBehaviourが属しているステートの取得。 More...
bool | DeleteState (State state)
| ステートの削除。 More...
StateLinkRerouteNode | CreateStateLinkRerouteNode (Vector2 position, int nodeID)
| StateLinkRerouteNodeを作成する。 More...
StateLinkRerouteNode | CreateStateLinkRerouteNode (Vector2 position)
| StateLinkRerouteNodeを作成する。 More...
void | Play ()
| ステートマシンの再生を開始。 More...
void | Stop ()
| ステートマシンの再生を停止。 More...
void | Pause ()
| ステートマシンの再生を一時停止。 More...
void | Resume ()
| ステートマシンの再生を再開。 More...
void | ExecuteUpdate (bool autoExecuteLateUpdate=false)
| Updateを実行する。 UpdateSettings.typeがManualの場合に任意のタイミングでこのメソッドを呼んでください。 More...
void | ExecuteLateUpdate ()
| LateUpdateを実行する。 UpdateSettings.typeがManualの場合に任意のタイミングでこのメソッドを呼んでください。 More...
bool | Transition (State nextState, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (State nextState, bool immediateTransition)
| 状態遷移 More...
bool | Transition (State nextState)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
bool | Transition (int nextStateID, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (int nextStateID, bool immediateTransition)
| 状態遷移 More...
bool | Transition (int nextStateID)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
bool | Transition (StateLink nextStateLink, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (StateLink nextStateLink, bool immediateTransition)
| 状態遷移 More...
bool | Transition (StateLink nextStateLink)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
void | SendTrigger (string message)
| トリガーの送信 More...
Public Member Functions inherited from NodeGraph
Node | GetNodeFromIndex (int index)
| Nodeをインデックスから取得 More...
Node | GetNodeFromID (int nodeID)
| ノードIDを指定してArbor.Nodeを取得する。 More...
CalculatorNode | GetCalculatorFromIndex (int index)
| CalculatorNodeをインデックスから取得 More...
int | GetCalculatorIndex (CalculatorNode calculator)
| CalculatorNodeのインデックスを取得 More...
CalculatorNode | GetCalculatorFromID (int calculatorID)
| 演算ノードIDを指定してArbor.CalculatorNodeを取得する。 More...
CalculatorNode | CreateCalculator (int nodeID, System.Type calculatorType)
| 演算ノードを生成。 More...
CalculatorNode | CreateCalculator (System.Type calculatorType)
| 演算ノードを生成。 More...
CalculatorNode | FindCalculator (Calculator calculator)
| Calculatorが属しているCalculatorNodeの取得。 More...
bool | DeleteCalculator (CalculatorNode calculatorNode)
| 演算ノードの削除。 More...
CommentNode | GetCommentFromIndex (int index)
| CommentNodeをインデックスから取得 More...
int | GetCommentIndex (CommentNode comment)
| CommentNodeのインデックスを取得 More...
CommentNode | GetCommentFromID (int commentID)
| コメントIDを指定してArbor.CommentNodeを取得する。 More...
CommentNode | CreateComment (int nodeID)
| コメントを生成。 More...
CommentNode | CreateComment ()
| コメントを生成。 More...
void | DeleteComment (CommentNode comment)
| コメントの削除。 More...
GroupNode | GetGroupFromIndex (int index)
| GroupNodeをインデックスから取得 More...
GroupNode | CreateGroup (int nodeID)
| グループを生成。 More...
GroupNode | CreateGroup ()
| グループを生成。 More...
void | DeleteGroup (GroupNode group)
| グループの削除。 More...
GroupNode | GetGroupFromID (int groupID)
| グループIDを指定してArbor.GroupNodeを取得する。 More...
CalculatorBranchRerouteNode | CreateCalculatorBranchRerouteNode (Vector2 position, System.Type type, int nodeID)
| CalculatorBranchRerouteNodeを生成。 More...
CalculatorBranchRerouteNode | CreateCalculatorBranchRerouteNode (Vector2 position, System.Type type)
| CalculatorBranchRerouteNodeを生成。 More...
void | DeleteCalculatorBranchRerouteNode (CalculatorBranchRerouteNode rerouteNode)
| CalculatorBranchRerouteNodeの削除。 More...
virtual void | OnValidateNodes ()
| ノードが変更された際に呼ばれる。 More...
bool | DeleteNode (Node node)
| ノードの削除。 More...
Node | FindNodeContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourが属しているノードの取得。 More...
CalculatorBranch | GetCalculatorBranchFromIndex (int index)
| CalculatorBranchをインデックスから取得 More...
int | GetCalculatorBranchIndex (CalculatorBranch branch)
| CalculatorBranchのインデックスを取得 More...
CalculatorBranch | GetCalculatorBranchFromID (int branchID)
| 演算ブランチIDを指定してArbor.CalculatorBranchを取得する。 More...
CalculatorBranch | ConnectCalculatorBranch (int branchID, int inputNodeID, Object inputObj, CalculatorSlot inputSlot, int outputNodeID, Object outputObj, CalculatorSlot outputSlot)
| CalculatorSlotの接続 More...
CalculatorBranch | ConnectCalculatorBranch (int inputNodeID, Object inputObj, CalculatorSlot inputSlot, int outputNodeID, Object outputObj, CalculatorSlot outputSlot)
| CalculatorSlotの接続 More...
void | DisconnectCalculatorBranch (Object obj)
| 内部的に使用するメソッド。特に呼び出す必要はありません。 More...
void | DeleteCalculatorBranch (CalculatorBranch branch)
| 演算ブランチの削除。 More...
bool | CheckLoopCalculatorBranch (int inputNodeID, Object inputObj, int outputNodeID, Object outputObj)
| CalculatorBranchがループしているかをチェックする。 More...
delegate void | NodeGraphCallback (NodeGraph nodeGraph)
| NodeGraphのコールバック用デリゲート More...
void | DestroySubComponents ()
| 内部的に使用するメソッド。特に呼び出す必要はありません。 More...
override string | ToString ()
| グラフを文字列に変換（デバッグ用）。 More...
Public Attributes inherited from ArborFSMInternal
bool | playOnStart = true
| 開始時に再生するフラグ。 More...
UpdateSettings | updateSettings = new UpdateSettings()
| 更新に関する設定。 More...
Public Attributes inherited from NodeGraph
string | graphName
| グラフの名前。 一つのGameObjectに複数のグラフがある場合の識別や検索に使用する。 More...
Protected Member Functions inherited from ArborFSMInternal
override bool | OnDeleteNode (Node node)
| ノードの削除。 More...
override void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
sealed override void | OnReset ()
| Resetもしくは生成時のコールバック。 More...
Properties inherited from ArborFSMInternal
PlayState | playState`[get]`
| 再生状態 More...
string | fsmName`[get, set]`
| FSMの名前。 一つのGameObjectに複数のFSMがある場合の識別や検索に使用する。 More...
int | startStateID`[get]`
| 開始ステートのIDを取得する。 More...
State | currentState`[get]`
| 現在のArbor.Stateを取得する。 More...
State | nextState`[get]`
| 遷移先のArbor.Stateを取得する。 More...
int | stateCount`[get]`
| Stateの数を取得。 More...
StateLinkRerouteNodeList | stateLinkRerouteNodes`[get]`
| StateLinkRerouteNodeリスト More...
State[] | states`[get]`
| 全てのArbor.Stateを取得する。 More...
Properties inherited from NodeGraph
string | displayGraphName`[get]`
| ノードグラフの表示名。graphNameが空かnullの場合は"(No Name)"を返す。 More...
NodeGraph | parentGraph`[get]`
| 親グラフ More...
NodeGraph | rootGraph`[get]`
| ルートグラフ More...
Object | ownerBehaviourObject`[get, set]`
| このグラフの所有者であるNodeBehaviourのObject More...
NodeBehaviour | ownerBehaviour`[get, set]`
| このグラフの所有者であるNodeBehaviour More...
bool | external`[get]`
| 外部グラフから生成されたフラグ More...
int | nodeCount`[get]`
| Nodeの数を取得。 More...
int | calculatorCount`[get]`
| CalculatorNodeの数を取得。 More...
CalculatorNode[] | calculators`[get]`
| 全てのArbor.CalculatorNodeを取得する。 More...
int | commentCount`[get]`
| CommentNodeの数を取得。 More...
CommentNode[] | comments`[get]`
| 全てのArbor.CommentNodeを取得する。 More...
int | groupCount`[get]`
| GroupNodeの数を取得。 More...
CalculatorBranchRerouteNodeList | calculatorBranchRerouteNodes`[get]`
| CalculatorBranchRerouteNodeリスト More...
int | calculatorBranchCount`[get]`
| CalculatorBranchの数を取得。 More...
CalculatorBranch[] | calculatorBranchies`[get]`
| 全てのArbor.CalculatorBranchを取得する。 More...
Events inherited from NodeGraph
NodeGraphCallback | destroyCallback
| 破棄される際のコールバック More...
NodeGraphCallback | stateChangedCallback
| 状態が変わった際のコールバック More...

## Detailed Description

ステートマシンのコア部分。
GameObjectにアタッチして使用する。

Open EditorボタンをクリックとArbor Editor Windowが開く。

## Member Function Documentation

static ArborFSM FindFSM | ( | string | name | ) |
| static

シーン内にあるArborFSMを名前で取得する。

Parameters

  name | 検索するArborFSMの名前。

Returns
  見つかったArborFSM。見つからなかった場合はnullを返す。

static ArborFSM FindFSM | ( | GameObject | gameObject,
|  | string | name
| ) |  |
| static

GameObjectにアタッチされているArborFSMを名前で取得する。

Parameters

  gameObject | 検索したいGameObject。
  name | 検索するArborFSMの名前。

Returns
  見つかったArborFSM。見つからなかった場合はnullを返す。

static ArborFSM [] FindFSMs | ( | string | name | ) |
| static

シーン内にある同一名のArborFSMを取得する。

Parameters

  name | 検索するArborFSMの名前。

Returns
  見つかったArborFSMの配列。

static ArborFSM [] FindFSMs | ( | GameObject | gameObject,
|  | string | name
| ) |  |
| static

GameObjectにアタッチされている同一名のArborFSMを取得する。

Parameters

  gameObject | 検索したいGameObject。
  name | 検索するArborFSMの名前。

Returns
  見つかったArborFSMの配列。